AlterLabAlterLab
PricingComparePlaygroundBlogDocsChangelog
    AlterLabAlterLab
    PricingComparePlaygroundBlogDocsChangelog
    IntroductionQuickstartInstallationYour First Request
    REST APIJob PollingAPI KeysSessions APINew
    OverviewPythonNode.js
    JavaScript RenderingOutput FormatsPDF & OCRCachingWebhooksJSON Schema FilteringWebSocket Real-TimeBring Your Own ProxyProAuthenticated ScrapingNewWeb CrawlingBatch ScrapingSchedulerChange DetectionCloud Storage ExportSpend LimitsOrganizations & TeamsAlerts & Notifications
    Structured ExtractionAIE-commerce ScrapingNews MonitoringPrice MonitoringMulti-Page CrawlingMonitoring DashboardAI Agent / MCPMCPData Pipeline to Cloud
    PricingRate LimitsError Codes
    From FirecrawlFrom ApifyFrom ScrapingBee / ScraperAPIFirecrawl v0 API ReferenceLegacy
    PlaygroundPricingStatus
    API Reference
    Auto-generated

    Firecrawl Compat

    API reference for firecrawl compat endpoints.

    Auto-generated

    This page was generated from the OpenAPI spec. Runmake generate-docs to refresh after spec changes.

    POST /api/v0/crawl

    POST
    /api/v0/crawl

    Crawl a website (Firecrawl-compatible)

    Parameters

    NameTypeRequiredDescription
    urlstring
    Required
    The URL to crawl
    excludePathsstring[]OptionalexcludePaths
    includePathsstring[]OptionalincludePaths
    maxDepthintegerOptionalMaximum depth to crawl relative to the entered URLDefault: 2
    ignoreSitemapbooleanOptionalIgnore the website sitemap when crawlingDefault: False
    limitintegerOptionalMaximum number of pages to crawlDefault: 10
    scrapeOptionsobjectOptionalScrape options embedded in a Firecrawl crawl request.

    Request Example

    Bash
    curl -X POST https://api.alterlab.io/api/v0/crawl \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
        "url": "example_url",
        "maxDepth": 2,
        "ignoreSitemap": false
      }'

    Response Example

    JSON
    {
      "success": true,
      "id": "example",
      "url": "example"
    }

    GET /api/v0/crawl/{crawl_id}

    GET
    /api/v0/crawl/{crawl_id}

    Get crawl status (Firecrawl-compatible)

    Parameters

    NameTypeRequiredDescription
    crawl_idstring
    Required
    crawl_id

    Request Example

    Bash
    curl -X GET https://api.alterlab.io/api/v0/crawl/<crawl_id> \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "success": true,
      "status": "example",
      "total": 0,
      "completed": 0,
      "creditsUsed": 0,
      "expiresAt": "example"
    }

    DELETE /api/v0/crawl/{crawl_id}

    DELETE
    /api/v0/crawl/{crawl_id}

    Cancel a crawl (Firecrawl-compatible)

    Parameters

    NameTypeRequiredDescription
    crawl_idstring
    Required
    crawl_id

    Request Example

    Bash
    curl -X DELETE https://api.alterlab.io/api/v0/crawl/<crawl_id> \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "status": "ok"
    }

    POST /api/v0/map

    POST
    /api/v0/map

    Map a website (Firecrawl-compatible)

    Parameters

    NameTypeRequiredDescription
    urlstring
    Required
    The URL to map
    searchstringOptionalsearch
    ignoreSitemapbooleanOptionalIgnore the website sitemap when crawlingDefault: False
    sitemapOnlybooleanOptionalOnly return URLs found in the sitemapDefault: False
    includeSubdomainsbooleanOptionalInclude subdomains of the websiteDefault: False
    limitintegerOptionalMaximum number of links to returnDefault: 5000

    Request Example

    Bash
    curl -X POST https://api.alterlab.io/api/v0/map \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
        "url": "example_url",
        "ignoreSitemap": false,
        "sitemapOnly": false,
        "includeSubdomains": false
      }'

    Response Example

    JSON
    {
      "success": true,
      "links": [],
      "alterlab": "example"
    }
    Last updated: March 2026

    On this page